Bug 804163 - SELinux is preventing /usr/bin/gtk-gnash from create access on the directory www.youtube.com
SELinux is preventing /usr/bin/gtk-gnash from create access on the directory ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 13:26 EDT by Antonio Trande
Modified: 2012-03-20 08:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-20 08:17:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonio Trande 2012-03-16 13:26:27 EDT
Description of problem:
This alert appears at every login into my google.com account or in youtube.com .

Version-Release number of selected component (if applicable):
libselinux-devel-2.1.9-9.fc17.x86_64
libselinux-python-2.1.9-9.fc17.x86_64
gnash-plugin-0.8.10-2.fc17.x86_64
selinux-policy-3.10.0-95.fc17.noarch
gnash-0.8.10-2.fc17.x86_64
selinux-policy-doc-3.10.0-95.fc17.noarch
libselinux-utils-2.1.9-9.fc17.x86_64
selinux-policy-targeted-3.10.0-95.fc17.noarch
libselinux-2.1.9-9.fc17.x86_64



How reproducible:
Always using Firefox + Gnash-plugin.

  
Actual results:
If you believe that gtk-gnash should be allowed create access on the www.youtube.com directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gtk-gnash /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                www.youtube.com [ dir ]
Source                        gtk-gnash
Source Path                   /usr/bin/gtk-gnash
Port                          <Unknown>
Host                          local
Source RPM Packages           gnash-0.8.10-2.fc17.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     local
Platform                      Linux local 3.3.0-0.rc7.git0.2.fc17.x86_64 #1 SMP
                              Mon Mar 12 16:56:58 UTC 2012 x86_64 x86_64
Alert Count                   7
First Seen                    Fri 16 Mar 2012 06:03:48 PM CET
Last Seen                     Fri 16 Mar 2012 06:13:15 PM CET
Local ID                      025e356a-cf68-4083-b848-8fdd4902f98f

Raw Audit Messages
type=AVC msg=audit(1331917995.205:174): avc:  denied  { create } for  pid=18434 comm="gtk-gnash" name="www.youtube.com" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir


type=SYSCALL msg=audit(1331917995.205:174): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=2e3ff88 a1=1c0 a2=1 a3=2e2f726574746967 items=0 ppid=17903 pid=18434 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=gtk-gnash exe=/usr/bin/gtk-gnash subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: gtk-gnash,mozilla_plugin_t,user_home_dir_t,dir,create

audit2allowunable to open /sys/fs/selinux/policy:  Permission denied


audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Antonio Trande 2012-03-20 08:16:39 EDT
This problem disappears with selinux-policy-3.10.0-104.fc17 .

Note You need to log in before you can comment on or make changes to this bug.